Retail Express API 2.1

Gets specific Supplier Return Status by unique id

Gets specific Supplier Return Status by unique id

get
https://api.retailexpress.com.au/v2.1/supplierreturnstatus/{id}

Path Parameters

idinteger(int32)required

Supplier Return Status id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Supplier Return Status

SupplierReturnStatus

Supplier Return Status Model

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Return Status Id.

namestring | null

Supplier Return Status name

get/supplierreturnstatus/{id}
 
application/json

suppliers

Searches Suppliers by parameters

Searches Suppliers by parameters

get
https://api.retailexpress.com.au/v2.1/suppliers

Query Parameters

admin_only_ordersboolean | null

Admin only orders flag

idinteger | null(int32)

Supplier Id. Other properties are skipped, if used

modified_sincestring | null(date-time)

Modified since

is_enabledboolean | null

Admin only orders flag

selectstring | null

Select fields.

Available field name values: id, supplier_code, name

Example: id

order_bystring | null

Order by.

Available field name values: is_enabled

Available direction values: asc, desc.

Example: is_enabled asc

filter_bystring | null

Filter by.
Available field name values: is_enabled

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: is_enabled:eq:true

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Suppliers data

Supplier.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Supplier model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/suppliers
 
application/json

Creates Supplier

Sample request:

 POST /suppliers
 {
     "supplier_code": "Test code",
     "name": "Test name",
     "address": {
         "address_line1": "string",
         "suburb": "string",
         "state": "string",
         "postcode": "string",
         "country": {
                "id": 2,
                "name": "string"
         }
     },
     "phone": "string",
     "fax": "string",
     "contact_name": "string",
     "contact_email": "contact_email@com.au",
     "order_email": "order_email@com.au",
     "admin_only_orders": false,
     "deposit_required": false,
     "shipping_port": {
         "id": 2,
         "name": "string"
     },
     "country_of_origin": {
         "id": 2,
         "name": "string"
     },
     "shipping_terms": "string",
     "payment_terms": "string",
     "comments": "string comment",
     "purchase_order_template": "Standard",
     "is_enabled": true,
     "po_sku1_enabled": true,
     "po_sku2_enabled": true
 }
post
https://api.retailexpress.com.au/v2.1/suppliers

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Supplier to be created

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Created

Supplier

Supplier model

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Id

supplier_codestring | null

Supplier Code

>= 0 characters<= 20 characters

namestring | null

Supplier Name

>= 0 characters<= 50 characters

addressobject

Supplier address model

* Additional properties are NOT allowed.
Show Child Parameters
phonestring | null

Supplier Phone Number

>= 0 characters<= 20 characters

faxstring | null

Supplier Fax Number

>= 0 characters<= 20 characters

contact_namestring | null

Supplier Contact Name

>= 0 characters<= 50 characters

contact_emailstring | null(email)

Supplier Contact Email

>= 0 characters<= 120 characters

order_emailstring | null(email)

Supplier Order Email

>= 0 characters<= 120 characters

admin_only_ordersboolean

Admin Only Orders Flag

deposit_requiredboolean

Deposit Required Flag

shipping_portobject
* Additional properties are NOT allowed.
Show Child Parameters
country_of_originobject
* Additional properties are NOT allowed.
Show Child Parameters
shipping_termsstring | null

Supplier Shipping Terms

>= 0 characters<= 50 characters

payment_termsstring | null

Supplier Payment Terms

>= 0 characters<= 50 characters

commentsstring | null

Supplier Comments

Match pattern:^[^*|":<>[\]{}`\()';@&$#!-/?]+$

>= 0 characters<= 255 characters

purchase_order_templatestring | null

Supplier Purchase Order Template type

po_sku1_enabledboolean | null

PO SKU 1 Enabled (FALSE by default)

po_sku2_enabledboolean | null

PO SKU 2 Enabled (TRUE by default)

is_enabledboolean

Is enabled flag

modified_onstring(date-time)

Modified On

post/suppliers

Body

{}
 
application/json

Gets Supplier by id

Gets Supplier by id

get
https://api.retailexpress.com.au/v2.1/suppliers/{id}

Path Parameters

idinteger(int32)required

Supplier id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Supplier

Supplier

Supplier model

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Id

supplier_codestring | null

Supplier Code

>= 0 characters<= 20 characters

namestring | null

Supplier Name

>= 0 characters<= 50 characters

addressobject

Supplier address model

* Additional properties are NOT allowed.
Show Child Parameters
phonestring | null

Supplier Phone Number

>= 0 characters<= 20 characters

faxstring | null

Supplier Fax Number

>= 0 characters<= 20 characters

contact_namestring | null

Supplier Contact Name

>= 0 characters<= 50 characters

contact_emailstring | null(email)

Supplier Contact Email

>= 0 characters<= 120 characters

order_emailstring | null(email)

Supplier Order Email

>= 0 characters<= 120 characters

admin_only_ordersboolean

Admin Only Orders Flag

deposit_requiredboolean

Deposit Required Flag

shipping_portobject
* Additional properties are NOT allowed.
Show Child Parameters
country_of_originobject
* Additional properties are NOT allowed.
Show Child Parameters
shipping_termsstring | null

Supplier Shipping Terms

>= 0 characters<= 50 characters

payment_termsstring | null

Supplier Payment Terms

>= 0 characters<= 50 characters

commentsstring | null

Supplier Comments

Match pattern:^[^*|":<>[\]{}`\()';@&$#!-/?]+$

>= 0 characters<= 255 characters

purchase_order_templatestring | null

Supplier Purchase Order Template type

po_sku1_enabledboolean | null

PO SKU 1 Enabled (FALSE by default)

po_sku2_enabledboolean | null

PO SKU 2 Enabled (TRUE by default)

is_enabledboolean

Is enabled flag

modified_onstring(date-time)

Modified On

get/suppliers/{id}
 
application/json